(function (window, undefined){
	"use strict";
	
	var document = window.document;
	var validate = ($.fn.validate !== undefined);
	
	function log() {
		if (window.console && window.console.log) {
			for (var x in arguments) {
				if (arguments.hasOwnProperty(x)) {
					window.console.log(arguments[x]);
				}
			}
		}
	}
	
	function SendURL() {
		if (!(this instanceof SendURL)) {
			return new SendURL();
		}
				
		this.init.call(this);
		
		return this;
	}
	
	SendURL.prototype = {
		
		init: function () {
			var self = this;
			var $container = $('#Obj185SendContainer');
			
			
			if($container.length > 0)
			{
				$container.on('click', '.pjTriggerDialog', function(){
					if($('.Obj185PopupAutoLoad').length > 0)
					{
						self.bindDialog();
					}else{
						self.loadDialog();
					}
				});
			};
			
			$(document).on("click", ".Obj185BtnClose", function (e) {
				$('.Obj185PopupAutoLoad').removeClass('Obj185PopupActive');
				var htmlElement = document.querySelector("html");
            	htmlElement.style.overflow = "";
			});
		},
		loadDialog: function(){
			var self = this;
			var htmlDialog = $('#pjDialogClone').html();
			var dialogDiv = document.createElement('div');
			dialogDiv.id = "Obj185Popup";
			dialogDiv.className = "Obj185Popup Obj185PopupAutoLoad";
			document.body.appendChild(dialogDiv);
			dialogDiv.innerHTML = htmlDialog;
			self.bindDialog();
		},
		bindDialog: function(){
			
			var $currentPopup = $('.Obj185PopupAutoLoad');
			var $form = $('#Obj185Popup').find('form');
			var $message = $('#Obj185Popup').find('#pjSendMessage');
			if ($currentPopup.length > 0) 
			{
				
				var $currentPopupContent = $('.Obj185PopupContent');
				var $currentPopupContentInner = $('.Obj185PopupContentInner');
				if($currentPopupContent.length > 0 && $currentPopupContentInner.length > 0)
				{
					if(!$currentPopup.hasClass('Obj185PopupActive'))
					{
						var htmlElement = document.querySelector("html");
						var w = window,
					    	d = document,
					    	e = d.documentElement,
					    	g = d.getElementsByTagName('body')[0],
					    	win_width = w.innerWidth || e.clientWidth || g.clientWidth,
					    	win_heigth = w.innerHeight|| e.clientHeight|| g.clientHeight;
						
						htmlElement.style.overflow = "hidden";
						$currentPopup.css('width', win_width + 'px');
						$currentPopup.css('height', win_heigth + 'px');
						if($form.length > 0)
						{
							$form.find('input').val("");
						}
						$currentPopup.addClass('Obj185PopupActive');
					}else{
						$currentPopup.addClass('Obj185PopupActive')
					}
					$currentPopup.find('input[name="url"]').val(window.location.href);
				}
			}
			if($form.length > 0 && validate)
			{
				$form.validate({
					errorPlacement: function (error, element) {
						error.insertAfter(element);
					},
					onkeyup: false,
					errorClass: "err",
					wrapper: "em",
					submitHandler: function(form){
						$form.find('button').prop('disabled', true);
						
						$message.html("URL wurde gesendet...").parent().show();
						$.post("wsX5Obj/Obj185_0/send.php", $form.serialize()).done(function (data) {
							
							$form.find('input').val("");
							$form.find('button').prop('disabled', false);
							
							$message.html(data).parent().show();
							
							setTimeout(function(){ 
								$('.Obj185PopupAutoLoad').removeClass('Obj185PopupActive');
								var htmlElement = document.querySelector("html");
				            	htmlElement.style.overflow = "";
							}, 3000);
							
						}).fail(function () {
							$form.find('button').prop('disabled', false);
						});
						
						return false;
					}
				});
			}
		}
		
	};
	
	window.SendURL = SendURL;	
})(window);

window.onload = function() {
	SendURL = SendURL();
}